%define upstream_name    Starman
%define upstream_version 0.4017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Plack adapter for Starman
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Parser::XS)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Net::Server) >= 2.7.0
BuildRequires: perl(Plack) >= 0.997.100
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 2.0.0
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
Starman is a PSGI perl web server that has unique features such as:

* High Performance

  Uses the fast XS/C HTTP header parser

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/starman
%{_mandir}/man1/starman.1*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.401.700-2.mga10
+ Revision: 2218703
- Mageia 10 Mass Rebuild

* Mon Sep 18 2023 tv <tv> 0.401.700-1.mga10
+ Revision: 1987672
- update to 0.4017

* Wed Sep 14 2022 tv <tv> 0.401.600-1.mga9
+ Revision: 1888128
- update to 0.4016

* Mon Mar 28 2022 umeabot <umeabot> 0.401.500-3.mga9
+ Revision: 1831023
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.401.500-2.mga8
+ Revision: 1544380
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 shlomif <shlomif> 0.401.500-1.mga8
+ Revision: 1482943
- New version 0.401.500

* Wed Sep 19 2018 umeabot <umeabot> 0.401.400-4.mga7
+ Revision: 1271221
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.401.400-3.mga6
+ Revision: 1033340
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.401.400-2.mga6
+ Revision: 968025
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.401.400-1.mga6
+ Revision: 851164
- update to 0.4014

* Wed Oct 15 2014 umeabot <umeabot> 0.401.0-4.mga5
+ Revision: 746550
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.401.0-3.mga5
+ Revision: 733412
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.401.0-1.mga5
+ Revision: 670084
- update to 0.4010

* Tue Apr 15 2014 jquelin <jquelin> 0.400.900-1.mga5
+ Revision: 614996
- update to 0.4009
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.400.800-1.mga4
+ Revision: 487035
- update to 0.4008

* Mon Aug 19 2013 sander85 <sander85> 0.400.600-1.mga4
+ Revision: 467964
- update to 0.4006

* Fri Aug 16 2013 sander85 <sander85> 0.400.400-1.mga4
+ Revision: 466829
- update to 0.4004

* Mon Aug 12 2013 sander85 <sander85> 0.400.300-1.mga4
+ Revision: 465820
- update to 0.4003

* Sat Jun 22 2013 shlomif <shlomif> 0.301.400-1.mga4
+ Revision: 445656
- Add missing BR
- New version 0.3014

* Sun Jan 13 2013 umeabot <umeabot> 0.300.600-2.mga3
+ Revision: 372748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.300.600-1.mga3
+ Revision: 342616
- update to 0.3006

* Wed Nov 14 2012 jquelin <jquelin> 0.300.400-1.mga3
+ Revision: 317732
- update to 0.3004

* Fri Sep 28 2012 jquelin <jquelin> 0.300.300-1.mga3
+ Revision: 298956
- update to 0.3003

* Wed Sep 26 2012 jquelin <jquelin> 0.300.200-1.mga3
+ Revision: 298112
- update to 0.3002

* Wed Jul 04 2012 jquelin <jquelin> 0.300.100-1.mga3
+ Revision: 267509
- update to 0.3001

* Thu Feb 23 2012 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 213183
- update to 0.3000

* Mon Sep 26 2011 jquelin <jquelin> 0.201.400-1.mga2
+ Revision: 148208
- update to 0.2014
- imported package perl-Starman


* Sat Aug 20 2011 cpan2dist 0.2013-1mga
- initial mageia release, generated with cpan2dist
